Overview | Package | Class | Deprecated | Index | Help
| Groovy Documentation
| FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.codehaus.groovy.transform.sc
[Java] Class StaticCompileTransformation

    java.lang.Object
      org.codehaus.groovy.transform.StaticTypesTransformation
          org.codehaus.groovy.transform.sc.StaticCompileTransformation

    @GroovyASTTransformation(phase = CompilePhase.INSTRUCTION_SELECTION)
    public class StaticCompileTransformation
    extends StaticTypesTransformation

Handles the implementation of the CompileStatic transformation.

Authors:
  Cedric Champeau

Field Summary

Fields inherited from class StaticTypesTransformation
STATIC_ERROR_PREFIX

Method Summary
`protected StaticTypeCheckingVisitor` | `newVisitor(SourceUnit unit, ClassNode node, TypeCheckerPluginFactory pluginFactory)`
`void` | `visit(ASTNode[] nodes, SourceUnit source)`

Methods inherited from class StaticTypesTransformation
newVisitor, visit

Methods inherited from class java.lang.Object
java.lang.Object#wait(long), java.lang.Object#wait(long, int), java.lang.Object#wait(), java.lang.Object#equals(java.lang.Object), java.lang.Object#toString(), java.lang.Object#hashCode(), java.lang.Object#getClass(), java.lang.Object#notify(), java.lang.Object#notifyAll()

Method Detail

### newVisitor

    @Override
    protected StaticTypeCheckingVisitor newVisitor(SourceUnit unit, ClassNode node, TypeCheckerPluginFactory pluginFactory)

### visit

    @Override
    public void visit(ASTNode[] nodes, SourceUnit source)

Groovy Documentation